<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        
        <!-- CSS only -->
        <link 
            href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" 
            rel="stylesheet" 
            integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" 
            crossorigin="anonymous"
        >
        
        <title>BTC</title>
    </head>
    <style>
        html, body { 
            height: 100%;
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 0;
            margin: 0px;
            padding: 0px;
        }

        .central-box {
            width: 450px;
            height: 300px;
            background-color: rgba(128, 128, 128, 0.116);
        }
        .box-header {
            height: 50px;
        }
        

        .box-header .ticker {
            font-size: 30px;
            border: none;
            position: relative;
            right: -10%;
        }

        .buttons-price span {
            width: 40%;
            height: 90px;
            display: inline-block;
            position: relative;
            right: -10%;
            border-style: solid;
            border-width: thin;
        }

        .buttons-price button {
            font-size: 25px;
            width: 100%;
            height: 100%;
            border: none;
            background-color: white;
        }

        .buttons-price button:hover {
            background-color: aliceblue;
        }

        .buttons-price button:active {
            transform: translateY(4px);
        }

        .buttons-price .bid-button {
            border-right: white;
        }

        .buttons-price button > .price {
            height: 37px;
        }

        .buttons-price .button1 {
            color: rgb(255, 81, 0);
        } 

        .buttons-price .button2 {
            color: rgb(0, 119, 255);
        }

        .info span {
            width: calc(100%/3);
            height: 30px;
            background-color: inherit;
            border: none;
            margin: 0px;
            padding: 0px;
            display: inline-block;
            right: 0px;
            position: initial;
        }

        .info input {
            width: -webkit-fill-available;
            padding: 0px;
            margin: 0px;
            height: inherit;
            font-size: large;
        }

    </style>
    <body>
        <div class="central-box">
            <div class="box-header">
                <span class="ticker">
                    BTC/USD
                </span>
            </div>
            <div class="buttons-price">
                <span class="bid-button">
                    <button id="bid" 
                            type="submit" 
                            class="button1">
                        <p style="font-size: 15px">
                            SELL
                        </p>    
                        <p class="price"></p>    
                    </button>
                </span>
                <span class="ask-button">
                    <button id="ask"
                            type="submit"
                            class="button2">
                        <p style="font-size: 15px">
                            BUY
                        </p>    
                        <p class="price"></p>
                    </button>
                </span>
            </div>
            <div class="info">
                <span class="min-max"></span>
                <span class="size-input">
                    <input id="userInput" type="number"></input>
                </span>
            </div>
        </div>
    
    <script>

        var socket = new WebSocket('ws://localhost:8000/ws/ftx/');
        var ftxData = null;

        socket.onmessage = function(event){
            ftxData = JSON.parse(event.data);
            document.querySelector('#bid > .price').innerText = ftxData.bid;
            document.querySelector('#ask > .price').innerText = ftxData.ask;
        }
        
        const postData = (tradeData) => {
            var connection = new XMLHttpRequest();
            connection.open("POST", "http://127.0.0.1:8000/", true);
            connection.send(JSON.stringify(ftxData));
            console.log(connection.responseText);
        };

        sellButton = document.getElementById("bid");
        sellButton.onclick = function(){
            //test before implementing posting logic (should print 404 error into console)
            postData(ftxData);
        }

        
        buyButton = document.getElementById("ask");
        buyButton.onclick = function(){
            var userSizeInput = document.getElementById("userInput").value;
        }
    </script>    
    </body>
</html>